Skip to main content
Service and Application/Inference Service APIs
PUTInference Service APIsSince 5.1.8SynchronousAuth Required

UpdateModelServiceInstanceGroup

UpdateModelServiceInstanceGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • nameString

    Optional. The resource name.

  • descriptionString

    Optional. The detailed description of the resource.

  • environmentVariablesMap

    Optional. The environment variables.

  • startupParametersMap

    Optional. The startup parameters.

  • serviceLivezString

    No description provided.

Responses

200 OK

On success, this API returns the following response structure.

  • successBooleanRequired

    Whether the operation succeeded.

  • errorErrorCodeRequired

    The error code. This field is null when the operation succeeds.

  • inventoryModelServiceInstanceGroupInventoryRequired

    The model service instance group inventory.

    • uuidStringRequired

      The resource UUID.

    • modelServiceUuidStringRequired

      The model service UUID.

    • modelUuidStringRequired

      The model UUID.

    • instancesListRequired

      The model service instance list.

    • datasetRefInventoriesListRequired

      The dataset reference list.

    • statusStringRequired

      The instance group status.

    • modelServiceTypeStringRequired

      The model service type.

    • typeStringRequired

      The instance group type.

    • nameStringRequired

      The instance group name.

    • descriptionStringRequired

      The instance group description.

    • yamlStringRequired

      The YAML configuration.

    • supportMetricsListRequired

      The supported metric list.

    • exportPathStringRequired

      The export path.

    • createDateTimestampRequired

      The creation time.

    • lastOpDateTimestampRequired

      The last operation time.

Endpoint

PUT/zstack/v1/model-service-instance-groups/{uuid}

/zstack/v1/model-service-instance-groups/{uuid}

Operation ID

UpdateModelServiceInstanceGroup

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/model-service-instance-groups/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"name":"<name>","description":"<description>","environmentVariables":{},"startupParameters":{},"serviceLivez":"<serviceLivez>","serviceReadyz":"<serviceReadyz>","serviceBootupTime":1,"packageVersion":"<packageVersion>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "groupUuid", "name": "model-service-group", "status": "Running" } }

Change History

This API has no change history records yet.

View all change history